﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;

namespace SilverlightApplication1
{
    public class ViewModel: INotifyPropertyChanged
    {
        public ObservableCollection<ChartPoint> Data { get; set; }
        public ObservableCollection<ChartPoint> Data1 { get; set; }
        public ObservableCollection<ChartPoint> Data2 { get; set; }

        private int _selectedIndex;
        public int SelectedIndex
        {
            get { return _selectedIndex; }
            set
            {
                if (_selectedIndex != value)
                {
                    _selectedIndex = value;
                    OnPropertyChanged("SelectedIndex");
                }
            }
        }
        private Visibility _chartVisibility;
        public Visibility ChartVisibility
        {
            get { return _chartVisibility; }
            set
            {
                if (_chartVisibility != value)
                {
                    _chartVisibility = value;
                    OnPropertyChanged("ChartVisibility");
                }
            }
        }
        private Random random = new Random();

        public ViewModel()
        {
            CreateData();
            SelectedIndex = 1;
            ChartVisibility = Visibility.Visible;
        }
        private void CreateData()
        {
            Data = new ObservableCollection<ChartPoint>();
            Data1 = new ObservableCollection<ChartPoint>();
            Data2 = new ObservableCollection<ChartPoint>();
            for (int i = 0; i < 25; i++)
            {
                Data.Add(new ChartPoint() { Label = "I" + i, Value = random.Next(15,100) });
                Data1.Add(new ChartPoint() { Label = "I" + i, Value = random.Next(15,100) });
                Data2.Add(new ChartPoint() { Label = "I" + i, Value = random.Next(15,100) });
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;
        protected virtual void OnPropertyChanged(string propertyName)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
            }
        }
    }

    public class ChartPoint
    {
        public string Label { get; set; }
        public int Value { get; set; }
    }
}
